summaryrefslogtreecommitdiffstats
path: root/libraries/sg3_utils
diff options
context:
space:
mode:
author Robby Workman2010-07-07 11:53:07 +0200
committer dsomero2010-07-07 11:53:07 +0200
commit32a6713e1908b2c41d812917ce150e4ad0c43abd (patch)
tree836044b8caa7f7b2d543bda74de8013d502fcac5 /libraries/sg3_utils
parent9280bee35ddb65697e1c2061c69c3ed6fec4dbd0 (diff)
downloadslackbuilds-32a6713e1908b2c41d812917ce150e4ad0c43abd.tar.gz
libraries/sg3_utils: Added (utilities for the linux sg driver)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/sg3_utils')
-rw-r--r--libraries/sg3_utils/README5
-rw-r--r--libraries/sg3_utils/sg3_utils.SlackBuild102
-rw-r--r--libraries/sg3_utils/sg3_utils.info10
-rw-r--r--libraries/sg3_utils/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/sg3_utils/README b/libraries/sg3_utils/README
new file mode 100644
index 0000000000..2496fd072e
--- /dev/null
+++ b/libraries/sg3_utils/README
@@ -0,0 +1,5 @@
+The sg3_utils package contains low level utilities for devices that use a SCSI
+command set. Apart from SCSI parallel interface (SPI) devices, the SCSI
+command set is used by ATAPI devices (CD/DVDs and tapes), USB mass storage
+devices, Fibre Channel disks, IEEE 1394 storage devices (that use the "SBP"
+protocol), SAS, iSCSI and FCoE devices (amongst others).
diff --git a/libraries/sg3_utils/sg3_utils.SlackBuild b/libraries/sg3_utils/sg3_utils.SlackBuild
new file mode 100644
index 0000000000..4f4a67ca9b
--- /dev/null
+++ b/libraries/sg3_utils/sg3_utils.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for sg3_utils
+
+# Copyright 2010 Robby Workman Northport, AL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sg3_utils
+VERSION=${VERSION:-1.29}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BSD_LICENSE COPYING COVERAGE CREDITS ChangeLog NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/sg3_utils/sg3_utils.info b/libraries/sg3_utils/sg3_utils.info
new file mode 100644
index 0000000000..35c0aba5af
--- /dev/null
+++ b/libraries/sg3_utils/sg3_utils.info
@@ -0,0 +1,10 @@
+PRGNAM="sg3_utils"
+VERSION="1.29"
+HOMEPAGE="http://sg.danny.cz/sg/sg3_utils.html"
+DOWNLOAD="http://sg.danny.cz/sg/p/sg3_utils-1.29.tgz"
+MD5SUM="17b8f2bc1b32bd036515683cc87328ea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="dsomero"
diff --git a/libraries/sg3_utils/slack-desc b/libraries/sg3_utils/slack-desc
new file mode 100644
index 0000000000..b086caf684
--- /dev/null
+++ b/libraries/sg3_utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sg3_utils: sg3_utils (utilities and test programs for the linux sg driver)
+sg3_utils:
+sg3_utils: This package contains low level utilities for devices that use a SCSI
+sg3_utils: command set. Apart from SCSI parallel interface (SPI) devices, the
+sg3_utils: SCSI command set is used by ATAPI devices (CD/DVDs and tapes), USB
+sg3_utils: mass storage devices, Fibre Channel disks, IEEE 1394 storage devices
+sg3_utils: (that use the "SBP" protocol), SAS, iSCSI and FCoE devices (among
+sg3_utils: others).
+sg3_utils:
+sg3_utils: Homepage: http://sg.danny.cz/sg/sg3_utils.html
+sg3_utils: